Skip to main content
`Ctrl`+`K`

# Dense matrix data types

hipSOLVER defines types and enumerations that are internally converted to the corresponding backend types at runtime. Here is a list of the types used in this compatibility API.

## hipsolverDnHandle_t

typedef hipsolverHandle_t hipsolverDnHandle_t

  Provided for convenience when porting code from cuSOLVER.

## hipsolverGesvdjInfo_t

See hipsolverGesvdjInfo_t.

## hipsolverSyevjInfo_t

See hipsolverSyevjInfo_t.

## hipsolverStatus_t

See hipsolverStatus_t.

## hipblasOperation_t

See hipblasOperation_t.

## hipblasFillMode_t

See hipblasFillMode_t.

## hipblasSideMode_t

See hipblasSideMode_t.

## hipsolverEigMode_t

See hipsolverEigMode_t.

## hipsolverEigType_t

See hipsolverEigType_t.

## hipsolverEigRange_t

See hipsolverEigRange_t.

## hipsolverAlgMode_t

enum hipsolverAlgMode_t

  Values:

  enumerator HIPSOLVER_ALG_0
  enumerator HIPSOLVER_ALG_1

## hipsolverDeterministicMode_t

See hipsolverDeterministicMode_t.

## hipsolverDnFunction_t

enum hipsolverDnFunction_t

  Values:

  enumerator HIPSOLVERDN_GETRF